package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.PricingClasseTarifaria;

public class RenderPricingClasseTarifaria implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		PricingClasseTarifaria pct = (PricingClasseTarifaria) o;

		Listcell lc = new Listcell(pct.getPricingClasseTarifariaId() == null ? "" : pct.getPricingClasseTarifariaId().toString());
		lc.setParent(lstm);

		lc = new Listcell(pct.getDescClasseTarifaria() == null ? "" : pct.getDescClasseTarifaria());
		lc.setParent(lstm);

		lc = new Listcell(pct.getSigla() == null ? "" : pct.getSigla());
		lc.setParent(lstm);

		lstm.setAttribute("data", pct);
	}

}
